<div class="login-container-main">
    <div class="card-container">
        <div fxLayout="row wrap">
            <mat-card class="login-card" fxFlex="35" fxFlex.md="50" fxFlex.sm="75" fxFlex.xs="95" (keydown)="keyDownFunction($event)">
                <mat-card-header>
                    <mat-card-title>{{dictionary.register}}</mat-card-title>
                    <mat-card-subtitle>... {{dictionary.onThisWebsite}}</mat-card-subtitle>
                </mat-card-header>
                <mat-card-content>
                    <div class="info-div full-width" *ngIf="_status">
                        <mat-card class="info-card">
                            {{_status}}
                        </mat-card>
                    </div>
                    <div class="info-div full-width" *ngIf="_statusSuccess">
                        <mat-card class="info-card-success">
                            {{_statusSuccess}}
                        </mat-card>
                    </div>
                    <mat-form-field class="full-width">
                        <mat-label>{{dictionary.eMailAddress}}</mat-label>
                        <input matInput name="email" type="email" placeholder="{{dictionary.eMailAddress}}" value="{{emailSync}}" [formControl]="emailControl">
                        <mat-error *ngIf="emailControl.hasError('email') && !emailControl.hasError('required')">
                            {{dictionary.pleaseEnterAValidEmailAddress}}
                        </mat-error>
                        <mat-error *ngIf="emailControl.hasError('required')">
                            {{dictionary.emailIsRequired}}
                        </mat-error>
                    </mat-form-field>
                    <mat-form-field class="full-width">
                        <mat-label>{{dictionary.username}}</mat-label>
                        <input matInput name="username" type="text" placeholder="{{dictionary.username}}" value="{{username}}"
                               [formControl]="usernameControl">
                        <mat-error *ngIf="usernameControl.hasError('required')">
                            {{dictionary.username}} {{dictionary.isRequired}}
                        </mat-error>
                    </mat-form-field>
                    <mat-form-field class="full-width">
                        <mat-label>{{dictionary.firstName}}</mat-label>
                        <input matInput name="firstname" type="text" placeholder="{{dictionary.firstName}}" value="{{firstname}}"
                               [formControl]="firstnameControl">
                        <mat-error *ngIf="firstnameControl.hasError('required')">
                            {{dictionary.firstName}} {{dictionary.isRequired}}
                        </mat-error>
                    </mat-form-field>
                    <mat-form-field class="full-width">
                        <mat-label>{{dictionary.surname}}</mat-label>
                        <input matInput name="surname" type="text" placeholder="{{dictionary.surname}}" value="{{surname}}"
                               [formControl]="surnameControl">
                        <mat-error *ngIf="surnameControl.hasError('required')">
                            {{dictionary.surname}} {{dictionary.isRequired}}
                        </mat-error>
                    </mat-form-field>
                    <mat-form-field class="full-width">
                        <mat-label>{{dictionary.password}}</mat-label>
                        <input matInput name="password" type="password" placeholder="{{dictionary.password}}" value="{{password}}"
                               [formControl]="passwordControl">
                        <mat-error *ngIf="passwordControl.hasError('required')">
                            {{dictionary.password}} {{dictionary.isRequired}}
                        </mat-error>
                    </mat-form-field>
                    <mat-form-field class="full-width">
                        <mat-label>{{dictionary.repeatPassword}}</mat-label>
                        <input matInput name="repeatPassword" type="password" placeholder="{{dictionary.repeatPassword}}" value="{{repeatPassword}}"
                               [formControl]="repeatPasswordControl">
                        <mat-error *ngIf="repeatPasswordControl.hasError('isNotTheSamePassword')">
                            {{dictionary.thePasswordsDoNotMatch}}!
                        </mat-error>
                        <mat-error *ngIf="repeatPasswordControl.hasError('required')">
                            {{dictionary.repeatPassword}} {{dictionary.isRequired}}
                        </mat-error>
                        <mat-hint *ngIf="repeatPassword && !repeatPasswordControl.hasError('isNotTheSamePassword')" class="text-icon-green">{{dictionary.passwords}} {{dictionary.agree}}!</mat-hint>
                    </mat-form-field>
                </mat-card-content>
                <mat-card-actions>
                    <button mat-raised-button color="primary" type="submit"
                            (click)="register()">{{dictionary.register}}</button>
                    <button mat-button routerLink="/login">{{dictionary.login}}</button>
                </mat-card-actions>
            </mat-card>
        </div>
    </div>
</div>
